gdal_calc(1)

NAME
gdal_calc - Command line raster calculator with numpy syntax.

SYNOPSIS

gdal_calc.py --calc=expression --outfile=out_filename [-A filename]
             [--A_band=n] [-B...-Z filename] [other_options]
Options:
  -h, --help            show this help message and exit
  --calc=expression     calculation in gdalnumeric syntax using +-/* or any
                        numpy array functions (i.e. log10())
  -A filename           input gdal raster file, you can use any letter (A-Z)
  --A_band=n            number of raster band for file A (default 1)
  --outfile=filename    output file to generate or fill
  --NoDataValue=value   output nodata value (default datatype specific value)
  --type=datatype       output datatype, must be one of ['Int32', 'Int16',
                        'Float64', 'UInt16', 'Byte', 'UInt32', 'Float32']
  --format=gdal_format  GDAL format for output file
  --creation-option=option, --co=option
                        Passes a creation option to the output format driver.
                        Multiple options may be listed. See format specific
                        documentation for legal creation options for each
                        format.
  --allBands=[A-Z]      process all bands of given raster (A-Z)
  --overwrite           overwrite output file if it already exists
  --debug               print debugging information
  --quiet               suppress progress messages

DESCRIPTION

Command line raster calculator with numpy syntax. Use any basic arithmetic supported by numpy arrays such as +-*\ along with logical operators such as >. Note that all files must have the same dimensions, but no projection checking is performed.

EXAMPLE

add two files together

gdal_calc.py -A input1.tif -B input2.tif --outfile=result.tif --calc="A+B"

average of two layers

gdal_calc.py -A input.tif -B input2.tif --outfile=result.tif --calc="(A+B)/2"

set values of zero and below to null

gdal_calc.py -A input.tif --outfile=result.tif --calc="A*(A>0)" --NoDataValue=0

AUTHORS

Chris Yesson <chris dot yesson at ioz dot ac dot uk> Etienne Tourigny <etourigny dot dev at gmail dot com>